# QextScintillaLexerLua Class Reference

The QextScintillaLexerLua class encapsulates the Scintilla Lua lexer. More...

`#include <qextscintillalexerlua.h>`

Inherits QextScintillaLexer.

List of all members.

## Public Types

- Default = 0
- Comment = 1
- LineComment = 2
- Number = 4
- Keyword = 5
- String = 6
- Character = 7
- LiteralString = 8
- Preprocessor = 9
- Operator = 10
- Identifier = 11
- UnclosedString = 12
- BasicFunctions = 13
- StringTableMathsFunctions = 14
- CoroutinesIOSystemFacilities = 15
- enum {
  Default = 0, Comment = 1, LineComment = 2,
  Number = 4, Keyword = 5, String = 6,
  Character = 7, LiteralString = 8, Preprocessor = 9,
  Operator = 10, Identifier = 11, UnclosedString = 12,
  BasicFunctions = 13, StringTableMathsFunctions = 14, CoroutinesIOSystemFacilities = 15
  }

## Public Slots

- virtual void setFoldCompact (bool fold)

## Public Member Functions

- QextScintillaLexerLua (QObject *parent=0, const char *name=0)
- virtual ~QextScintillaLexerLua ()
- const char * language () const
- const char * lexer () const
- const char * blockStart (int *style=0) const
- int braceStyle () const
- QColor color (int style) const
- bool eolFill (int style) const
- QFont font (int style) const
- const char * keywords (int set) const
- QString description (int style) const
- QColor paper (int style) const
- void refreshProperties ()
- bool foldCompact () const

## Protected Member Functions

- bool readProperties (QSettings &qs, const QString &prefix)
- bool writeProperties (QSettings &qs, const QString &prefix) const

## Detailed Description

The QextScintillaLexerLua class encapsulates the Scintilla Lua lexer.

## Member Enumeration Documentation

anonymous enum

This enum defines the meanings of the different styles used by the Lua lexer.

Enumerator:

  Default | The default.
  Comment | A block comment.
  LineComment | A line comment.
  Number | A number.
  Keyword | A keyword.
  String | A string.
  Character | A character.
  LiteralString | A literal string.
  Preprocessor | Preprocessor.
  Operator | An operator.
  Identifier | An identifier.
  UnclosedString | The end of a line where a string is not closed.
  BasicFunctions | Basic functions.
  StringTableMathsFunctions | String, table and maths functions.
  CoroutinesIOSystemFacilities | Coroutines, I/O and system facilities.

## Constructor & Destructor Documentation

QextScintillaLexerLua::QextScintillaLexerLua | ( | QObject * | parent = `0`,
|  | const char * | name = `0` |
| ) |  |  |

Construct a QextScintillaLexerLua with parent parent and name name. parent is typically the QextScintilla instance.

virtual QextScintillaLexerLua::~QextScintillaLexerLua | ( |  | ) | `[virtual]`

Destroys the QextScintillaLexerLua instance.

## Member Function Documentation

const char* QextScintillaLexerLua::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Implements QextScintillaLexer.

const char* QextScintillaLexerLua::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Implements QextScintillaLexer.

QColor QextScintillaLexerLua::color | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  paper()

Reimplemented from QextScintillaLexer.

bool QextScintillaLexerLua::eolFill | ( | int | style | ) | const`[virtual]`

Returns the end-of-line fill for style number style.

Reimplemented from QextScintillaLexer.

QFont QextScintillaLexerLua::font | ( | int | style | ) | const`[virtual]`

Returns the font for style number style.

Reimplemented from QextScintillaLexer.

const char* QextScintillaLexerLua::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QextScintillaLexer.

QString QextScintillaLexerLua::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then QString::null is returned. This is intended to be used in user preference dialogs.

Implements QextScintillaLexer.

QColor QextScintillaLexerLua::paper | ( | int | style | ) | const`[virtual]`

Returns the background colour of the text for style number style.

See also:
  color()

Reimplemented from QextScintillaLexer.

void QextScintillaLexerLua::refreshProperties | ( |  | ) | `[virtual]`

Causes all properties to be refreshed by emitting the propertyChanged() signal as required.

Reimplemented from QextScintillaLexer.

bool QextScintillaLexerLua::foldCompact | ( |  | ) | const

Returns TRUE if trailing blank lines are included in a fold block.

See also:
  setFoldCompact()

virtual void QextScintillaLexerLua::setFoldCompact | ( | bool | fold | ) | `[virtual, slot]`

If fold is TRUE then trailing blank lines are included in a fold block. The default is TRUE.

See also:
  foldCompact()

bool QextScintillaLexerLua::readProperties | ( | QSettings & | qs,
|  | const QString & | prefix |
| ) |  |  | `[protected, virtual]`

The lexer's properties are read from the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. TRUE is returned if there is no error.

Reimplemented from QextScintillaLexer.

bool QextScintillaLexerLua::writeProperties | ( | QSettings & | qs,
|  | const QString & | prefix |
| ) |  |  | const`[protected, virtual]`

The lexer's properties are written to the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. TRUE is returned if there is no error.

Reimplemented from QextScintillaLexer.